Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001411 [1003.1(2016/18)/Issue7+TC2] Shell and Utilities Editorial Enhancement Request 2020-10-19 22:15 2021-02-18 16:12
Reporter rillig View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Resolved  
Name Roland Illig
Organization
User Reference
Section here-documents
Page Number 2362
Line Number 75375
Interp Status ---
Final Accepted Text
Summary 0001411: Missing paragraph separator in definition of here-documents
Description The current text reads:

If the redirection operator is "<<-", all leading <tab> characters shall be stripped from input lines and the line containing the trailing delimiter. If more than one "<<" or "<<-" operator is specified on a line, the here-document associated with the first operator shall be supplied first by the application and shall be read first by the shell.

This looks as if the second sentence would depend on the first sentence, which is not the case. Since these two sentences are completely independent, each sentence should be in a separate paragraph.
Desired Action Add a paragraph break between the sentences.
Tags tc3-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2020-10-19 22:15 rillig New Issue
2020-10-19 22:15 rillig Name => Roland Illig
2020-10-19 22:15 rillig URL => https://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_07_04 [^]
2020-10-19 22:15 rillig Section => here-documents
2020-10-20 00:46 Don Cragun Note Added: 0005055
2020-10-20 08:43 geoffclare Project Online Pubs => 1003.1(2016/18)/Issue7+TC2
2021-02-18 16:11 Don Cragun Page Number => 2362
2021-02-18 16:11 Don Cragun Line Number => 75370
2021-02-18 16:11 Don Cragun Interp Status => ---
2021-02-18 16:11 Don Cragun Status New => Resolved
2021-02-18 16:11 Don Cragun Resolution Open => Accepted
2021-02-18 16:12 Don Cragun Tag Attached: tc3-2008
2021-02-18 16:12 Don Cragun Line Number 75370 => 75375
2021-02-18 16:13 Don Cragun Note Deleted: 0005055


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker